<?php
/*
 * CMS簡易動作確認プログラム
 *
 * 2013/8/19 SQLite3チェック追加
 * 2015/2/10 SQLite共用版
 *
 * Copyright (c) 2010-2015 by Crytus All rights reserved.
 */
ini_set("short_open_tag", "0");
ini_set("magic_quotes_gpc", "0");
ini_set("mbstring.encoding_translation", "0");

// エラー出力の指定
error_reporting (E_ALL & ~E_NOTICE & ~E_WARNING & ~E_STRICT);

$ng = 0;
$msg = array();
// 動作環境チェック
if (substr(phpversion(), 0, 1) == "4") {
	$msg[] = "PHP5 が必要です。ご確認をお願い致します。";
	$ng = 1;
}
if (!function_exists("mb_convert_encoding")) {
	$msg[] = "日本語変換処理が使えません。ご確認をお願い致します。";
	$ng = 1;
}
if (!function_exists("ImageCreateFromString")) {
	$msg[] = "画像処理(GD)が組み込まれていません。ご確認をお願い致します。";
	$ng = 1;
}
$ok = 0;
if (class_exists("PDO")) {
	$ary = PDO::getAvailableDrivers();
	if (in_array("sqlite", $ary)) {
		$msg[] = "簡易データベース(SQLite3)が使えます。SQLite3版でのご利用が可能です。";
		$ok = 1;
	}
}
if (function_exists("sqlite_open")) {
	$msg[] = "簡易データベース(SQLite2)が使えます。SQLite2版でのご利用が可能です。";
	$ok = 1;
}
if ($ok == 0) {
	$msg[] = "簡易データベース(SQLite2/3)が使えません。";
	$ng = 1;
}
if ($ng == 0) {
	$msg[] = "このサーバでの動作は可能と思われます。";
}
$msg2 = "";
if (isset($_SERVER["WINDIR"])) {
	$msg2 = "このシステムはWindowsサーバーです。<br>";
} else if (isset($_SERVER["OS"])) {
	$msg2 = "このシステムは「{$_SERVER["OS"]}」です。<br>";
}
$msg2 .= "サーバー環境：{$_SERVER["SERVER_SOFTWARE"]}<br>";
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body>
★CMS簡易動作確認プログラム実行結果★
<hr>
<?php echo implode("<br>", $msg); ?>
<hr>
なお、この処理で動作可能と判定されても、実際の設置時に設定変更や修正が必要になる可能性があります。<br>
他のプログラムをご利用中の場合、その影響で設置できない場合もあります。<br>
予めご了解ください。<br>
また、事前の動作確認にご利用いただける、CMSサンプル版を用意しています。是非ご利用ください。<br>
※結果の判断が付かない場合は、この画面の表示を全てそのままお知らせください。<br>
<hr>
<?php echo $msg2; ?>
</body>
</html>
